
Subscription - Bug #2129

Subscription bypasses issue visibility constraints

07 Dec 2012 10:23 - Massimo Rossello

Status: Closed Start date: 07 Dec 2012

Priority: Major Due date: 15 Jun 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.1b   

Redmine version: 1.3.2 External issue:  

Description

An user that can view and edit just own issues can gain visibility over all new issues submitted through email notifications.

History

#1 - 20 Oct 2013 19:49 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Priority changed from Normal to Major

- Target version set to 0.0.1b

#2 - 24 Oct 2013 21:45 - Andriy Lesyuk

- Status changed from Open to Incomplete

Massimo, well... To fix such bug I would need to use the visible? method of the Issue object... But I already do! That’s weird. It should work fine...

Anyone else can confirm this issue?

#3 - 15 Jun 2014 23:32 - Andriy Lesyuk

- Due date set to 15 Jun 2014

- Status changed from Incomplete to Closed

- % Done changed from 0 to 100

Should be fixed in the latest code.
